Package org.eclipse.emf.cdo.common

# Interface CDOCommonSession.Options

All Superinterfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptions`

All Known Subinterfaces:
  `CDONet4jSession.Options`, `CDOSession.Options`, `CDOSession.Options`, `InternalSession`

Enclosing interface:
  `CDOCommonSession`

public static interface CDOCommonSession.Options extends org.eclipse.net4j.util.options.IOptions
Encapsulates the configuration options of CDO sessions that are common to both client and server side.

Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOCommonSession.Options.LockNotificationEvent`
An `options event` fired when the `lock notification mode` of a CDO session has changed.
`static enum`
`CDOCommonSession.Options.LockNotificationMode`
Enumerates the possible `lock notification modes` of a CDO session.
`static interface`
`CDOCommonSession.Options.LockNotificationModeEvent`
An `options event` fired when the `lock notification mode` of a CDO session has changed.
`static interface`
`CDOCommonSession.Options.PassiveUpdateEvent`
An `options event` fired when the `passive update mode` of a CDO session has changed.
`static enum`
`CDOCommonSession.Options.PassiveUpdateMode`
Enumerates the possible `passive update modes` of a CDO session.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`CDOCommonSession`
`getContainer()`
Returns the `session` of this options object.
`CDOCommonSession.Options.LockNotificationMode`
`getLockNotificationMode()`
`CDOCommonSession.Options.PassiveUpdateMode`
`getPassiveUpdateMode()`
`boolean`
`isLockNotificationEnabled()`
`boolean`
`isPassiveUpdateEnabled()`
`void`
`setLockNotificationEnabled(boolean enabled)`
`void`
`setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)`
`void`
`setPassiveUpdateEnabled(boolean enabled)`
Specifies whether objects will be invalidated due by other users changes.
`void`
`setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode mode)`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getContainer

CDOCommonSession getContainer()
Returns the `session` of this options object.

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.options.IOptions`
Since:
  4.0

### isPassiveUpdateEnabled

boolean isPassiveUpdateEnabled()

### setPassiveUpdateEnabled

void setPassiveUpdateEnabled(boolean enabled)
Specifies whether objects will be invalidated due by other users changes.

Example:

`session.setPassiveUpdateEnabled(false);`

By default this property is enabled. If this property is disabled the latest versions of objects can still be obtained by calling refresh().

Passive update can be disabled in cases where more performance is needed and/or more control over when objects will be refreshed.

When enabled again, a refresh will be automatically performed to be in sync with the server.

Since:
  3.0

### getPassiveUpdateMode

CDOCommonSession.Options.PassiveUpdateMode getPassiveUpdateMode()

Since:
  3.0

### setPassiveUpdateMode

void setPassiveUpdateMode(CDOCommonSession.Options.PassiveUpdateMode mode)

Since:
  3.0

### isLockNotificationEnabled

boolean isLockNotificationEnabled()

Since:
  4.15

### setLockNotificationEnabled

void setLockNotificationEnabled(boolean enabled)

Since:
  4.15

### getLockNotificationMode

CDOCommonSession.Options.LockNotificationMode getLockNotificationMode()

Since:
  4.1

### setLockNotificationMode

void setLockNotificationMode(CDOCommonSession.Options.LockNotificationMode mode)

Since:
  4.1